> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streamnative.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete the topic with the given topic_name.

> Permanently deletes the specified topic and all its data from the Kafka cluster. This operation cannot be undone.



## OpenAPI

````yaml delete /admin/v1/topics/{topicName}
openapi: 3.0.0
info:
  title: StreamNative Kafka REST API
  description: >-
    REST API for managing Kafka resources and producing/consuming messages in
    StreamNative Cloud
  version: v1
servers: []
security: []
paths:
  /admin/v1/topics/{topicName}:
    delete:
      tags:
        - ksn-topics
      summary: Delete the topic with the given topic_name.
      description: >-
        Permanently deletes the specified topic and all its data from the Kafka
        cluster. This operation cannot be undone.
      operationId: deleteTopic
      parameters:
        - name: topicName
          in: path
          description: The topic name.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Topic deleted
        '400':
          description: Wrong request params
        '401':
          description: Unauthorized
        '500':
          description: Internal server error

````